---
title: "Get Grainger SKUs"
slug: "get-grainger-sku-s"
updated: 2026-06-18T18:14:27Z
published: 2026-06-18T18:14:27Z
canonical: "pccdocs.bluemeteor.com/get-grainger-sku-s"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://pccdocs.bluemeteor.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Grainger SKUs
Post/amazeApiRest/rest/v1/catalogs/1/graingerSkus
The Grainger Extract API retrieves SKU-level product information, transformed into Grainger’s required attribute format. This API is used to supply Grainger’s required attribute template and identify any data issues before the catalog is delivered.
Header parametersX-Access-TokenstringExampleAHiWIfzgk1agkj29iosfL47m1ZEE30lEXbZksjCF7BhZTh1pQz220S70
X-Customer-CodestringExampleAPITST
X-Oauth-ProviderstringExampleCODIFYD
Content-TypestringExampleapplication/json
X-Requested-WithstringExampleXMLHttpRequest
x-authorization-modestringExamplepassword
X-Client-SecretstringExample6CHewppLoyVJIVwDAkwEG9J1SRySiISh
**NOTE**: Use these header parameter examples mentioned above to execute this endpoint on the right and retrieve a sample API response.
Query parameterslimitintegerExample25
offsetintegerExample0
###
### **Query Parameters**
**limit** (integer)
This parameter specifies the maximum number of items that should be returned in a single API response. For example, if you set the limit to 10, the API will return a maximum of 10 items in the response.
---
**offset** (integer)
Defines where in the list of results the API should start returning records. For example, if there are 100 SKUs in total:
- `offset=0` → starts from the very beginning, returning records 1–10 (with `limit=10`)
- `offset=10` → starts after the first 10 records, returning records 11–20
- `offset=20` → starts after the first 20 records, returning records 21–30
Think of it like page numbers and increasing the offset moves you further along the list.
**NOTE**: Use these query parameter examples mentioned above to execute this endpoint on the right and retrieve a sample API response.
Body parametersobject Example{
"responseGraingerTemplateColumnList": "",
"queryCondition": [],
"customerSkuIds": "",
"fromDateTime": "2025-12-02 10:06",
"toDateTime": "",
"validationType": "Hard"
}
### **Request Parameters**
**responseGraingerTemplateColumnList** (string)
A comma-separated list of Grainger template column names to include in the response. Each column name represents a specific product attribute expected by Grainger. If this parameter is not passed, all mapped Grainger template column fields will be returned for each SKU.
For example: "**responseGraingerTemplateColumnList**": "**Manufacturer Name,Supplier Product Description,Supplier Part Number,Manufacturer Part Number"**.
---
**queryCondition (Array